<template>
  <div>
    <div class="app-container">
      <div class="tree-view">
        <div class="tree-list">
          <school ref="schoolRef" @schoolChange="schoolChange"></school>
        </div>
        <div class="right-view">
          <build-list ref="buildRef" :schoolId="schoolId"></build-list>
        </div>
      </div>
    </div>
    <div slot="footer" class="dialog-footer">
      <el-button :loading="buttonLoading" type="primary" @click="submitForm">确 定</el-button>
<!--      <el-button @click="cancel">取 消</el-button>-->
    </div>
  </div>
</template>

<script>
/**
 * 选择建筑单元
 */
import school from '../../components/school'
import buildList from "./buildList";

export default {
  name: "BuildingForm",
  components: {
    school,
    buildList
  },
  data() {
    return {
      buttonLoading: false,
      activeName: 'second',
      batchOpen: false,
      ipOpen: false,
      schoolId: undefined
    }
  },
  methods: {
    // 选择高校
    schoolChange(v) {
      this.schoolId = v;
      // this.$refs.buildRef.getList();
    },
    submitForm() {
      this.buttonLoading = true;
      if (!this.$refs.buildRef.currentRow) {
        this.$message.warning("请选择一条数据")
        this.buttonLoading = false;
        return;
      }
      this.$emit('choice', this.$refs.buildRef.currentRow);
    }
  }
}
</script>

<style scoped>
.tree-view {
  display: flex;
  flex-direction: row;
  flex: 1;
}
.tree-list {
  margin-right: 10px;
}
.right-view {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  flex: 1;
}
.right-view-title-icon {
  display: flex;
  flex-direction: row;
  height: 40px;
  align-items: center;
}
</style>